Public Member Functions | Protected Attributes

# Scaler Class Reference

Scale various things according to symmetric/asymmetric distribution. More...

Inheritance diagram for Scaler:

## Public Member Functions
| Scaler ()
| Constructor.
void | SetDemands (LinkGraphJob &job, NodeID from, NodeID to, uint demand_forw)
| Set the demands between two nodes using the given base demand.
## Protected Attributes
uint | demand_per_node
| Mean demand associated with each node.

## Detailed Description

Scale various things according to symmetric/asymmetric distribution.

Definition at line 12 of file demands.cpp.

## Member Function Documentation

void Scaler::SetDemands | ( | LinkGraphJob & | job,
|  | NodeID | from_id,
|  | NodeID | to_id,
|  | uint | demand_forw |
| ) |  |  | `[inline]`

Set the demands between two nodes using the given base demand.

In asymmetric mode this only sets demand in the "forward" direction.

Parameters:

  | job | The link graph job.
  | from_id | The supplying node. @þaram to_id The receiving node.
  | demand_forw | Demand calculated for the "forward" direction.

Reimplemented in SymmetricScaler.

Definition at line 169 of file demands.cpp.

The documentation for this class was generated from the following file:

- src/linkgraph/demands.cpp